Bug 999234 - qemu-img-rhev specifies unsolvable dependency
qemu-img-rhev specifies unsolvable dependency
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Michal Novotny
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 21:18 EDT by Brian Harrington
Modified: 2014-03-03 19:33 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-25 08:46:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Harrington 2013-08-20 21:18:28 EDT
Description of problem:
In attempting to figure out what provides a specified dependency for qemu-img-rhev  (Requires: libusbredirparser.so.0()(64bit))  no packages are found.

Version-Release number of selected component (if applicable):
qemu-img-rhev-0.12.1.2-2.295.el6_3.10 

How reproducible:
100%

Steps to Reproduce:
1. try to downgrade package
2. get angry
3. execute yum whatprovides
4. get angrier
5. open bug

Actual results:
bharring@cannery [~]# sudo yum downgrade qemu-img-rhev-0.12.1.2-2.295.el6_3.10 qemu-kvm-rhev-0.12.1.2-2.295.el6_3.10 qemu-kvm-rhev-tools-0.12.1.2-2.295.el6_3.10
Loaded plugins: security
Setting up Downgrade Process
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package qemu-img-rhev.x86_64 2:0.12.1.2-2.295.el6_3.10 will be a downgrade
--> Processing Dependency: libusbredirparser.so.0()(64bit) for package: 2:qemu-img-rhev-0.12.1.2-2.295.el6_3.10.x86_64
---> Package qemu-img-rhev.x86_64 2:0.12.1.2-2.355.el6_4.5 will be erased
---> Package qemu-kvm-rhev.x86_64 2:0.12.1.2-2.295.el6_3.10 will be a downgrade
rhel6/filelists_db                                                                                                                                                                                                                                      | 3.8 MB     00:00     
--> Processing Dependency: libusbredirparser.so.0()(64bit) for package: 2:qemu-kvm-rhev-0.12.1.2-2.295.el6_3.10.x86_64
---> Package qemu-kvm-rhev.x86_64 2:0.12.1.2-2.355.el6_4.5 will be erased
---> Package qemu-kvm-rhev-tools.x86_64 2:0.12.1.2-2.295.el6_3.10 will be a downgrade
---> Package qemu-kvm-rhev-tools.x86_64 2:0.12.1.2-2.355.el6_4.5 will be erased
--> Finished Dependency Resolution
Error: Package: 2:qemu-kvm-rhev-0.12.1.2-2.295.el6_3.10.x86_64 (rhel-x86_64-rhev-mgmt-agent-6)
           Requires: libusbredirparser.so.0()(64bit)
Error: Package: 2:qemu-img-rhev-0.12.1.2-2.295.el6_3.10.x86_64 (rhel-x86_64-rhev-mgmt-agent-6)
           Requires: libusbredirparser.so.0()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
bharring@cannery [~]# sudo yum whatprovides "*/libusbredirparser.so.0"
Loaded plugins: security
No Matches found
bharring@cannery [~]# sudo yum whatprovides "*/libusbredirparser.so.0*"
Loaded plugins: security
No Matches found


Expected results:

The package I need to downgrade or remove to solve the dependency issue

Additional info:
This related to trying to resolve BZ 999230
Comment 2 Michal Novotny 2013-09-18 04:52:26 EDT
Hi Brian,
this is not reproducible in my conditions:

$ yum provides '*/libusbredirparser.so.0'
Loaded plugins: product-id, refresh-packagekit, rhnplugin, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
This system is receiving updates from RHN Classic or RHN Satellite.
epel/filelists_db                                                                                                                                                                             | 7.6 MB     00:00     
rhel/filelists_db                                                                                                                                                                             | 4.6 MB     00:12     
rhel-x86_64-server-6/filelists                                                                                                                                                                |  26 MB     00:02     
virt-preview/filelists_db
usbredir-0.4.3-1.el6.i686 : USB network redirection protocol libraries
Repo        : rhel-x86_64-server-6
Matched from:
Filename    : /usr/lib/libusbredirparser.so.0



usbredir-0.4.3-1.el6.x86_64 : USB network redirection protocol libraries
Repo        : rhel-x86_64-server-6
Matched from:
Filename    : /usr/lib64/libusbredirparser.so.0



usbredir-0.4.3-1.el6_3.i686 : USB network redirection protocol libraries
Repo        : rhel-x86_64-server-6
Matched from:
Filename    : /usr/lib/libusbredirparser.so.0



usbredir-0.4.3-1.el6_3.x86_64 : USB network redirection protocol libraries
Repo        : rhel-x86_64-server-6
Matched from:
Filename    : /usr/lib64/libusbredirparser.so.0

$ uname -r
2.6.32-358.6.2.el6.x86_64

Could you please tell me more about the issue? Mainly the exact host system version?

Thanks,
Michal
Comment 3 Ademar Reis 2013-09-25 08:46:42 EDT
closing as WORKSFORME. Please reopen if you can reproduce and provide the details Michal asked in comment #2.

Note You need to log in before you can comment on or make changes to this bug.